Bug 1099070 - [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Summary: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1088676 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-19 12:26 UTC by dB
Modified: 2015-06-29 20:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 20:42:46 UTC


Attachments (Terms of Use)
Output of journalctl --since=today (551.95 KB, text/plain)
2014-05-19 12:26 UTC, dB
no flags Details
journalctl_since_today.log (1.05 MB, text/plain)
2014-09-22 23:30 UTC, Andre Robatino
no flags Details

Description dB 2014-05-19 12:26:18 UTC
Created attachment 897123 [details]
Output of journalctl --since=today

Description of problem:

My Computer hangs (Except Mouse) while opening a webpage in firefox/chrome which has lot of flash contents and i reported this bug in gnome bug zilla (Bug Id:728697). They finally found this problem is in graphics driver and they instruct me to report about this bug in fedora bugzilla. So kindly solve this issue.


Bug line in "journalctl --since=today"


May 19 11:54:59 db kernel: [1;31m[drm:i915_hangcheck_elapsed] *ERROR*
Hangcheck timer elapsed... render ring idle[0m



NOTE:

I have attached the output of journalctl --since=today.

Comment 1 dB 2014-05-20 01:55:25 UTC
*** Bug 1088676 has been marked as a duplicate of this bug. ***

Comment 2 Andre Robatino 2014-06-24 21:44:05 UTC
I have seen this several times since acquiring a refurbished Lenovo Thinkcentre M58p 7630AF3 about 2 weeks ago. Am running F20 x86_64. When it happens, I can get to a VT. The first time, I tried restarting X, but that caused a total freeze. Since then, I just go to a VT and reboot, which is successful. I saved copies of /var/log/messages, dmesg output, and Xorg.0.log from immediately after the last freeze, though I don't see anything in Xorg.0.log, and there is just 1 extra line in dmesg:

[251922.708024] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle

and 2 lines in /var/log/messages

Jun 24 17:19:52 lenovo-pc kernel: [251922.708024] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Jun 24 17:19:52 lenovo-pc kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle

so that doesn't seem too helpful. Let me know if you need me to attach any of these files or any other files or system info.

Comment 3 Andre Robatino 2014-06-24 21:47:41 UTC
Additional note: The first time I saw this was using VGA. I switched to HDMI and have seen it several more times since then. Expect to switch to DVI soon and will report back in the unlikely event it stops happening with that.

Comment 4 Andre Robatino 2014-06-24 21:54:33 UTC
Another bug report I'm CC'd on:

https://bugs.freedesktop.org/show_bug.cgi?id=75394

Comment 5 Andre Robatino 2014-06-24 21:56:25 UTC
Also, my experience is the same as dB in that it seems to happen while loading fairly graphics-intensive web pages in Firefox. I also have the flash plugin installed.

Comment 6 Andre Robatino 2014-06-24 22:01:37 UTC
Noticed from https://bugzilla.gnome.org/show_bug.cgi?id=728697 that dB has

Processor: Intel® Core™2 Duo CPU E7500 @ 2.93GHz × 2

Graphics :Intel® G41

which is very similar to mine:

Processor: Intel® Core™2 Duo CPU E8400 @ 3.00GHz × 2

Graphics: Intel® Q45/Q43

Comment 7 Andre Robatino 2014-07-03 10:25:50 UTC
This also happens with DVI, in addition to VGA and HDMI. The latest time, I wasn't loading a graphics-intensive web page, just scrolling a page in one of Firefox's tabs.

Comment 8 Andre Robatino 2014-07-11 19:19:51 UTC
Looks like a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=879823 .

Comment 9 Andre Robatino 2014-07-30 23:04:24 UTC
After one of these hangs, I got i915_error_state as described in https://01.org/linuxgraphics/documentation/how-get-gpu-error-state , and the output was simply

no error state collected

which is the usual value and doesn't help. Is there any other way to debug this? Or at least, is there some way to recover other than rebooting? This happens at least once every few days.

Comment 10 morenojee 2014-09-14 02:55:39 UTC
Same in my case. Display is freezing and happens only when I using chrome and surfing internet. I updated FC20 to the latest kernel 3.16.2 and nothing changed still getting freezing display issue. I done workaround and reverse kernel back to 3.15.10-200 and problem seems completely gone. I surfing net for 2 hrs already and no display freezes. I will not update my kernel until this issue solved.

Comment 11 Andre Robatino 2014-09-14 03:05:49 UTC
I have it less often (once every couple days) although my only browser is Firefox. However, it happens with every kernel, though I haven't run 3.16.2 long enough to have it with that yet. The closest thing to a workaround is to go to a VT and reboot. Any attempt to restart X without rebooting causes a total freeze and I have to hard power off.

Comment 12 morenojee 2014-09-14 03:23:18 UTC
In(In reply to morenojee from comment #10)
> Same in my case. Display is freezing and happens only when I using chrome
> and surfing internet. I updated FC20 to the latest kernel 3.16.2 and nothing
> changed still getting freezing display issue. I done workaround and reverse
> kernel back to 3.15.10-200 and problem seems completely gone. I surfing net
> for 2 hrs already and no display freezes. I will not update my kernel until
> this issue solved.

OK. I got again same freeze with kernel 3.15.10-200. But at least could surf 2 hrs continually. With latest kernel 3.16.2 I got freeze every 5 min while surfing on eBay pages. Also I have to VT and reboot no other way. Maybe is this related to too many tabs opened and the memory related problem affect VGA driver? I'm not sure but will see because I have always around 10 tabs opened at the time in chrome and this rises chances for bug to occur. I will observe. Maybe if I reduce the tabs opened the buggy VGA driver will not produce freeze. OK. If I found something will definitely report because this is an issue which bugs like every 5 minutes to reboot PC on latest kernel 3.16.2. Good luck.

Comment 13 Andre Robatino 2014-09-14 03:32:09 UTC
I've tried to reduce the number of tabs I have open, and also reduce usage of graphics-heavy sites. That makes it happen less often but does not eliminate it. If I close the browser when not using the computer (while sleeping for example) it never happens during that time (which is good, because if it happens when the display is asleep, then waking it up will trigger a total hang, and I can't even get to a VT). In the VT, I can get away with killing applications that were running in X, just not X itself, without triggering a freeze.

Comment 14 morenojee 2014-09-14 04:27:28 UTC
(In reply to morenojee from comment #12)
> In(In reply to morenojee from comment #10)
> > Same in my case. Display is freezing and happens only when I using chrome
> > and surfing internet. I updated FC20 to the latest kernel 3.16.2 and nothing
> > changed still getting freezing display issue. I done workaround and reverse
> > kernel back to 3.15.10-200 and problem seems completely gone. I surfing net
> > for 2 hrs already and no display freezes. I will not update my kernel until
> > this issue solved.
> 
> OK. I got again same freeze with kernel 3.15.10-200. But at least could surf
> 2 hrs continually. With latest kernel 3.16.2 I got freeze every 5 min while
> surfing on eBay pages. Also I have to VT and reboot no other way. Maybe is
> this related to too many tabs opened and the memory related problem affect
> VGA driver? I'm not sure but will see because I have always around 10 tabs
> opened at the time in chrome and this rises chances for bug to occur. I will
> observe. Maybe if I reduce the tabs opened the buggy VGA driver will not
> produce freeze. OK. If I found something will definitely report because this
> is an issue which bugs like every 5 minutes to reboot PC on latest kernel
> 3.16.2. Good luck.

OK. I finally realized the same freeze happening randomly also in kernel 3.15.10-200 and like you say the graphics heavy sites only likely triggering this drm vga error to freeze desktop and only mouse is working at that times nd some more regular websites with no problem. Loading list on eBay with 50 products and huge jpg images beside after few such a heavy paging this drm vga error is randomly triggered. Well what can we do? To avoid for now graphics heavy sites?. Hopefully this problem is resolved... Good day

Comment 15 morenojee 2014-09-20 06:31:02 UTC
Latest kernel changes nothing (3.16.2-201.fc20.x86_64). Same problem.
Here are typical log messages about DRM. I been running glxgears for 5 minute and had no problems. Desktop was running ok. Problem starts only when using chrome seems. Is this chrome bug? Or maybe flash loaded produces. Or it is Intel VGA driver? I noticed the syslog times for kernel drm event "drm:i915_gem_init" are set too far into future. This can be checked on the log paste at the last line. I will post my complete log for one day later. Good day!

[moreno@localhost ~]$ sudo cat /var/log/messages | grep drm:i915
-----------------------------------------------------------------------
Sep 19 07:50:06 localhost kernel: [ 8408.703034] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 07:50:06 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 07:50:06 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 08:33:31 localhost kernel: [ 2342.707020] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 08:33:31 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 08:57:12 localhost kernel: [    0.880042] [drm:i915_gem_init] *ERROR* Failed to initialize GPU, declaring it wedged
Sep 19 07:50:06 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 08:55:27 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 07:50:06 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 14:26:16 localhost kernel: [drm:i915_gem_init] *ERROR* Failed to initialize GPU, declaring it wedged
Sep 19 08:55:27 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 07:50:06 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 14:26:16 localhost kernel: [drm:i915_gem_init] *ERROR* Failed to initialize GPU, declaring it wedged
Sep 19 07:50:06 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 08:55:27 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 19 14:26:16 localhost kernel: [drm:i915_gem_init] *ERROR* Failed to initialize GPU, declaring it wedged
Sep 20 08:06:45 localhost kernel: [  332.707018] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 20 08:06:45 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 20 08:11:59 localhost kernel: [    0.887039] [drm:i915_gem_init] *ERROR* Failed to initialize GPU, declaring it wedged
Sep 20 08:06:45 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 20 13:40:21 localhost kernel: [drm:i915_gem_init] *ERROR* Failed to initialize GPU, declaring it wedged

Comment 16 Andre Robatino 2014-09-20 06:37:37 UTC
I only use Firefox, and see it in that, though not nearly as often as you. I have Adobe's flash-plugin installed, and haven't tried uninstalling that. Since you see the bug much more often, you could try uninstalling it and see if it makes a difference. (Though even if it does, there would still have to be a bug somewhere else for this to happen.)

Comment 17 morenojee 2014-09-22 23:25:11 UTC
OK. Because of too-much of drm errors and frozen desktop issues with browser chrome now I switched into latest Firefox 32 and so far no problems at all. I surfing many hours same websites as with chrome but no freezing's and no drm hanging. Even the log file says nothing about it anymore. So I will stick to Firefox for now.
Now what I found out in my log file is totally-strange and maybe is this the relation to the drm-errors. The system log files on my pc having wrong timestamps set at randomly all over the log file. Timestamps of the events are set for the future and sometimes for the 1 day past also. This is not normal behaviour i suspect. Please check your log files for the same timestamp issue. This could be relation to desktop freeze and chrome not operating proper yet the Firefox as I see is not affected with it. This could be chrome problem. Because I had serious hanging freezing's. 

This is the link to my log file------
http://tempsend.com/96753B7FEE

Good day!

Comment 18 Andre Robatino 2014-09-22 23:30:28 UTC
Created attachment 940214 [details]
journalctl_since_today.log

log file from comment 17 (added as a bugzilla attachment to make it permanently available)

Comment 19 Sergio 2014-09-24 08:55:12 UTC
The same happened to me several time.
These are the gathered info after last event:

CPU: Intel(R) Core(TM)2 Duo CPU E8400 3GHz
Linux version: 3.16.2-201.fc20.x86_64
Running processes: Firefox, Eclipse, Thunderbird
i915_error_state: no error state collected
i915_ring_missed_irq: 0x00000001
USB devices: Samsung SII and LGE Smartphones

The freeze happened after the last USB connection to Samsung SII

If needed I can provide the dmesg, but it is pretty clean, but for the USB events and the last hangcheck_elapsed event

Comment 20 Sergio 2014-09-24 09:05:21 UTC
Additional note: I forgot to mention also synergy in the list of active processes

Comment 21 morenojee 2014-09-24 11:33:36 UTC
Is it possible this is some hardware failure like very hot room where PC operates the graphics card overheats and then stops to operate properly? The gamers experiences this events like when playing some game and when GPU overheats then desktop freezes and needs to reboot and decrease gpu speed and put some extra fans to blow into gpu? Just the idea? I been running some tests and made scenario to trap this drm error and put all kinds of the load to the gpu and cpu but didnt trigger this error. This error is as someone else reported before (if you search for "i915_hangcheck_hung" on this site) very sporadic and is hard to reproduce exactly. For example usually speedy usage of chrome triggers this drm error but some other time nothing and I simulate many times speedy usage of chrome and done simulations and nothing. Today while I posting this I had lucky day with 1 drm error and 1 VT reboot. Good luck

Comment 22 Sergio 2014-09-24 12:19:57 UTC
Some facts that can be useful:

1) I don't work in a hot room
2) I use the PC only at work (no gaming)
3) the event happened during low activity
4) Chrome was not running

Comment 23 Steevithak 2014-09-24 16:30:17 UTC
For me it occurs mostly when I'm running firefox and have multiple tabs open. I usually notice things slowing down (if top happens to be running, CPU utilization maxes out at 100% and memory rapidly drains until the swap file is exhausted). On rare occasions, I can kill Firefox from the command line before the system crashes but usually it become completely unresponsive to keyboard or mouse input too quickly. 

If I open no more than one tab in Firefox, it greatly decreases the chance of a problem but I finally switched from Firefox to Chrome and that has effectively solved the problem for me. It went from happening several times a day to only once a week or so with Chrome.

I do not have a Flash plugin installed on Firefox. My computer is in an air conditioned office that's always cool, all fans working fine. I've been running Fedora on this box since I got it (starting with Fedora 12 or something) with no similar problem prior to this.

Dell Inspiron 531s (desktop box)
AMD Athlon 64 x2 dual core 4400+
AMD/ATI RV380 Radeon X300/X550/X1050 Series
radeon open source driver

Comment 24 Andre Robatino 2014-09-24 21:46:33 UTC
Interesting, that's the first time I've seen this reported for anything other than an Intel Core 2 Duo (I have the exact same CPU as Sergio). I haven't seen any correlation with temperature, or anything other than heavy graphical browser use, and suspect this is purely a software issue.

Comment 25 morenojee 2014-09-25 05:55:44 UTC
It seems only browsing on chrome in my case triggers this drm error. With Firefox initially didn't get any drm errors and desktop freezes yet? But probably Firefox would trigger same error sporadically like the chrome. Other software in my case never triggers or relates to his drm error. Only browser chrome so far. I noticed if I use chrome slowly and not speedy way -> speedy I mean click after click with the mouse clicking from link to link on graphical rich websites like eBay this behavior usually triggers drm errors and desktop freezes. Also I most of the time in the chrome have like 6-10 tabs opened. Is it possible the JavaScript on the websites produces this errors to the level where JS interferes with JS used by gnome desktop and everything freezes as reaction but only on gnome desktop. Is anyone using KDE desktop or other and experiencing this drm error on chrome or Firefox? Maybe to switch off JavaScript on chrome but internet is useless without JavaScript?:)
 

Details of my system:
-----------------------
[moreno@localhost ~]$ sudo lshw -short
H/W path                 Device     Class       Description
===========================================================
                                    system      System Product Name (To Be Filled By O.E.M.)
/0                                  bus         P5G41T-M LX
/0/0                                memory      64KiB BIOS
/0/4                                processor   (To Be Filled By O.E.M.)
/0/4/5                              memory      64KiB L1 cache
/0/4/6                              memory      2MiB L2 cache
/0/27                               memory      4GiB System Memory
/0/27/0                             memory      2GiB DIMM Synchronous 800 MHz (1.2 ns)
/0/27/1                             memory      2GiB DIMM Synchronous 800 MHz (1.2 ns)
/0/100                              bridge      4 Series Chipset DRAM Controller
/0/100/2                            display     4 Series Chipset Integrated Graphics Controller
/0/100/1b                           multimedia  NM10/ICH7 Family High Definition Audio Controller
/0/100/1c                           bridge      NM10/ICH7 Family PCI Express Port 1
/0/100/1c.1                         bridge      NM10/ICH7 Family PCI Express Port 2
/0/100/1c.1/0            p33p1      network     AR8131 Gigabit Ethernet
/0/100/1d                           bus         NM10/ICH7 Family USB UHCI Controller #1
/0/100/1d/1              usb2       bus         UHCI Host Controller
/0/100/1d/1/1                       input       USB OPTICAL MOUSE
/0/100/1d.1                         bus         NM10/ICH7 Family USB UHCI Controller #2
/0/100/1d.1/1            usb3       bus         UHCI Host Controller
/0/100/1d.1/1/1                     input       Microsoft
/0/100/1d.2                         bus         NM10/ICH7 Family USB UHCI Controller #3
/0/100/1d.2/1            usb4       bus         UHCI Host Controller
/0/100/1d.3                         bus         NM10/ICH7 Family USB UHCI Controller #4
/0/100/1d.3/1            usb5       bus         UHCI Host Controller
/0/100/1d.7                         bus         NM10/ICH7 Family USB2 EHCI Controller
/0/100/1d.7/1            usb1       bus         EHCI Host Controller
/0/100/1d.7/1/4                     bus         HighSpeed Hub
/0/100/1d.7/1/4/4        scsi4      storage     ZTE WCDMA Technologies MSM
/0/100/1d.7/1/4/4/0.0.0  /dev/sdb   disk        SCSI Disk
/0/100/1e                           bridge      82801 PCI Bridge
/0/100/1f                           bridge      82801GB/GR (ICH7 Family) LPC Interface Bridge
/0/100/1f.1                         storage     82801G (ICH7 Family) IDE Controller
/0/100/1f.2                         storage     NM10/ICH7 Family SATA Controller [IDE mode]
/0/1                     scsi2      storage     
/0/1/0.0.0               /dev/sda   disk        160GB Hitachi HTS54251
/0/1/0.0.0/1             /dev/sda1  volume      500MiB EXT4 volume
/0/1/0.0.0/2             /dev/sda2  volume      28GiB Windows NTFS volume
/0/1/0.0.0/3             /dev/sda3  volume      21GiB EXT4 volume
/0/1/0.0.0/4             /dev/sda4  volume      98GiB Extended partition
/0/1/0.0.0/4/5           /dev/sda5  volume      94GiB Linux filesystem partition
/0/1/0.0.0/4/6           /dev/sda6  volume      4001MiB Linux filesystem partition

Comment 26 morenojee 2014-09-25 06:10:08 UTC
Command ( lshw -short ) omitted the cpu info? Here it is:
Pentium(R) Dual-Core CPU E5700 @ 3.00G

Comment 27 morenojee 2014-09-25 09:42:50 UTC
Other chrome users with same/similar problems:
https://productforums.google.com/forum/#!topic/chrome/zjjitIYfuxw

Comment 28 Sergio 2014-09-25 10:07:19 UTC
The problem in the link seems different, as in that case the system crashes.
In this bug the system does not crash and only the freeze of gnome is present.

In my case it was possible to switch to terminal (alt+ctrl+F2).

Additional info in my case: when last event occurred, only Firefox was running, but in previous events also Chrome was running and a sigfault in Chrome was detected just before the hangcheck event. Unfortunately I don't have dmesg for that event.

Comment 29 morenojee 2014-09-25 12:12:00 UTC
There are flags in chrome and probably in Firefox to start this browsers without gpu rendering just software rendering. Type into chrome:
 
  chrome://flags   

There are all kinds of the things to switch off/on including gpu rendering. Also   try this one:

  chrome://chrome-urls

And more on this link:
http://peter.sh/experiments/chromium-command-line-switches

In Firefox there are also similar flags to set probably. I didn't try this all because at the present I don't need it. Suddenly my latest chrome is no more freezing desktop. I must admit I'm not very speedy browser at the time and producing like 10 mouse clicks in 10 minutes:). Well this error has some mouse speedy movements and clicking relation. So I sloow down my browsing & clicking and no freeze. I could use Firefox but must admit that I can not switch back after using chrome for 3 months. It feels like a browser for childrens (haha). I go further. We will kill this bug sooner or later:)
Also there is one user reporting he had this problem with 64bit chrome only and he installed 32bit and all problems completely gone. 

------------------------------------------
Relax don't panic, everything will be OK. 
We are eternal spirit souls!

Comment 30 Sergio 2014-10-03 12:00:24 UTC
Now I found a way to reproduce the problem.
At least, I treid twice with the same resutl: gnome freezes.

Step to reproduce the problem:

1) enable the  "Override software rendering list Mac" flag
2) disable the "Disable accelerated 2D canvas" flag
3) open the website http://map.ipviking.com/#
4) wait few seconds... FREEZE!!!

the dmesg for the two successful attempt to reproduce it:

[ 5350.416043] Watchdog[3215]: segfault at 0 ip 00007f1cde90cc2e sp 00007f1cc6a2d670 error 6 in chrome[7f1cda7b6000+547e000]
[ 5357.704020] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
[ 5365.154403] Watchdog[3280]: segfault at 0 ip 00007fc20a8dbc2e sp 00007fc1f29fc670 error 6 in chrome[7fc206785000+547e000]
[ 5375.217081] Watchdog[3314]: segfault at 0 ip 00007f96d199dc2e sp 00007f96b9abe670 error 6 in chrome[7f96cd847000+547e000]
[ 5377.381599] chrome[3257]: segfault at 0 ip 00007fd2016f8ecd sp 00007fffda84c0a0 error 4 in chrome[7fd1fd0c1000+547e000]

and

[782451.708017] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
[782457.092818] Watchdog[14347]: segfault at 0 ip 00007fbcd94ddc2e sp 00007fbcc15fe670 error 6 in chrome[7fbcd5387000+547e000]
[782469.929360] Watchdog[14590]: segfault at 0 ip 00007f83d5d90c2e sp 00007f83bdeb1670 error 6 in chrome[7f83d1c3a000+547e000]

Comment 31 Sergio 2014-10-03 13:41:20 UTC
Just to complete the testing, I tried avoiding step 2.
Also in this case the system freezes after few seconds with similar logs

Comment 32 morenojee 2014-10-04 22:56:44 UTC
I tried suggested and visit http://map.ipviking.com watched site for around 10 sec -> freeze. Same as Sergio. On chrome. Firefox did not produce this freeze.

Comment 33 Sergio 2014-10-06 08:37:54 UTC
I tried with an Ubuntu machine to check whether this is a Fedora issue.
The test was made with 

CPU: Intel(R) Core(TM) i5 CPU M520 2.40GHz
Linux version: 3.13.0-36-generic
Running processes: Chrome, Terminal

Tried with any possible settings of the two flags (Override software rendering and Disable accelerated 2D canvas), but no freeze at all after tens of minutes

Comment 34 Pentarh Udi 2014-10-06 14:48:58 UTC
Hi. I updated kernel from 3.15.6-200.fc20.x86_64 (this has no issue) to kernel-3.16.3-200.fc20.x86_64 (HAS issue).

Issue is when KDE desktop appears after login - everything hangs except mouse.

* if I click on icons - applications launched but no reaction on screen
* I am able to switch to VT on CTRL-ALT-F2
* The only error in journalctl is
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
* No other error-like entries found, including Xorg.log.0
* Issue disappears when I switch back to 3.15.6-200.fc20.x86_64
* Note: My laptop has two cards:
** Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09) (default)
** VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Venus XT [Radeon HD 8870M / R9 M270X] (rev ff)

------------------------ cat /sys/kernel/debug/vgaswitcheroo/switch
0:IGD:+:Pwr:0000:00:02.0
1:DIS: :DynOff:0000:03:00.0


------------------------ lshw -short --------------------------
H/W path                 Device      Class          Description
===============================================================
                                     system         Inspiron 5737 (Inspiron 5737)
/0                                   bus            045YHR
/0/0                                 memory         128KiB BIOS
/0/4                                 processor      Core i7 (To Be Filled By O.E.M.)
/0/4/9                               memory         32KiB L1 cache
/0/4/a                               memory         256KiB L2 cache
/0/4/b                               memory         4MiB L3 cache
/0/8                                 memory         32KiB L1 cache
/0/23                                memory         8GiB System Memory
/0/23/0                              memory         4GiB SODIMM DDR3 Synchronous 1600 MHz (0,6 ns)
/0/23/1                              memory         4GiB SODIMM DDR3 Synchronous 1600 MHz (0,6 ns)
/0/100                               bridge         Haswell-ULT DRAM Controller
/0/100/2                             display        Haswell-ULT Integrated Graphics Controller
/0/100/3                             multimedia     Haswell-ULT HD Audio Controller
/0/100/14                            bus            8 Series USB xHCI HC
/0/100/14/0              usb3        bus            xHCI Host Controller
/0/100/14/1              usb2        bus            xHCI Host Controller
/0/100/16                            communication  8 Series HECI #0
/0/100/1b                            multimedia     8 Series HD Audio Controller
/0/100/1c                            bridge         8 Series PCI Express Root Port 3
/0/100/1c/0              p8p1        network        RTL8101E/RTL8102E PCI Express Fast Ethernet controller
/0/100/1c.3                          bridge         8 Series PCI Express Root Port 4
/0/100/1c.3/0            wlp2s0      network        QCA9565 / AR9565 Wireless Network Adapter
/0/100/1c.4                          bridge         8 Series PCI Express Root Port 5
/0/100/1c.4/0                        generic        Illegal Vendor ID
/0/100/1d                            bus            8 Series USB EHCI #1
/0/100/1d/1              usb1        bus            EHCI Host Controller
/0/100/1d/1/1                        bus            USB hub
/0/100/1d/1/1/4                      input          USB Receiver
/0/100/1d/1/1/5                      communication  Bluetooth wireless interface
/0/100/1d/1/1/7          scsi3       generic        USB2.0-CRW
/0/100/1d/1/1/7/0.0.0    /dev/sdb    disk           xD/SD/M.S.
/0/100/1d/1/1/7/0.0.0/0  /dev/sdb    disk           
/0/100/1d/1/1/8                      multimedia     Laptop_Integrated_Webcam_HD
/0/100/1f                            bridge         8 Series LPC Controller
/0/100/1f.2                          storage        8 Series SATA Controller 1 [AHCI mode]
/0/100/1f.3                          bus            8 Series SMBus Controller
/0/1                     scsi0       storage        
/0/1/0.0.0               /dev/sda    disk           750GB WDC WD7500BPKT-0
/0/1/0.0.0/1             /dev/sda1   volume         100MiB Windows NTFS volume
/0/1/0.0.0/2             /dev/sda2   volume         68GiB Windows NTFS volume
/0/1/0.0.0/3             /dev/sda3   volume         1500MiB EXT4 volume
/0/1/0.0.0/4             /dev/sda4   volume         628GiB Extended partition
/0/1/0.0.0/4/5           /dev/sda5   volume         628GiB Linux filesystem partition
/0/2                     scsi1       storage        
/0/2/0.0.0               /dev/cdrom  disk           DVD+-RW GU90N
/0/2/0.0.0/0             /dev/cdrom  disk           
/1                                   power          DELL 6HY593CI
---------------------------------------------


--------- lspci -----------------------------
00:00.0 Host bridge: Intel Corporation Haswell-ULT DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09)
00:03.0 Audio device: Intel Corporation Haswell-ULT HD Audio Controller (rev 09)
00:14.0 USB controller: Intel Corporation 8 Series USB xHCI HC (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series HECI #0 (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series HD Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 3 (rev e4)
00:1c.3 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 4 (rev e4)
00:1c.4 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 5 (rev e4)
00:1d.0 USB controller: Intel Corporation 8 Series USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation 8 Series LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 8 Series SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series SMBus Controller (rev 04)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 07)
02:00.0 Network controller: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter (rev 01)
03:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Venus XT [Radeon HD 8870M / R9 M270X] (rev ff)
------------------------------------------------------

Comment 35 Andre Robatino 2014-10-20 01:19:04 UTC
I have not had a hang since September 24, while running kernel-3.16.2-201.fc20.x86_64. I installed kernel-3.16.3-200.fc20.x86_64 the following day, and all updates since. The last Flash update was on Patch Tuesday on October 14, so probably not due to that update. Up to September 24, the hang happened roughly every several days.

Comment 36 morenojee 2014-10-23 00:59:50 UTC
Also no hangs here actually very rare so I don't bother it much. I using latest of kernels and latest of chrome-beta(has to admit runs better and better each version now is very fast and tabs opening very fast now really enjoying browsing with). I have all the 3d gpu acceleration flags on. Just works. We still haunting the super-cause of drm errors -> the bug? Just curious what causes this?! :) 
Good day. Also Must admit fedora is more and more mature desktop so it can compete with anything because all runs out of the box already just like in the windblow$ ... :), and gnome is amazing now-days.

Comment 37 Andre Robatino 2014-10-27 19:28:13 UTC
Just had another hang (for the first time since September 24), running kernel-3.16.6-200.fc20.x86_64. It was nice while it lasted. I hope at least it will continue to happen less often.

Comment 38 Sergio 2014-10-30 13:17:52 UTC
I updated to 3.16.6-203 and freeze just happened with GPU disabled

Vhrome was the trigger I suppose as the dmesg is the following:

[79224.794203] Watchdog[2758]: segfault at 0 ip 00007ff4dfb8f96b sp 00007ff4c7fef790 error 6 in chrome[7ff4dbdf5000+4ffd000]
[79242.059658] Watchdog[9143]: segfault at 0 ip 00007fd1800f896b sp 00007fd168558790 error 6 in chrome[7fd17c35e000+4ffd000]
[79254.153513] Watchdog[9154]: segfault at 0 ip 00007f62c70b896b sp 00007f62af518790 error 6 in chrome[7f62c331e000+4ffd000]
[80480.708021] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle

Comment 39 dB 2014-11-23 03:48:44 UTC
Update to the latest linux kernel and please someone try.
This freezing problem affects most of the linux distros.

Comment 40 Pentarh Udi 2014-11-23 04:13:50 UTC
Not on fedora anymore due this annoying stuff. Unsubscribing.

Comment 41 Sergio 2014-11-24 15:53:38 UTC
just happened with the latest kernel, even if not reproducible with the step I mentioned in comment #30.

Comment 42 Sergio 2014-11-27 13:22:27 UTC
After the update to latest kernel, two freezes in the last two days.
I have an Ubuntu in another machine and the statistics is about few freezes per year.

Switching this machine to Ubuntu to check whether it is due to HW (processor, GPU...).

Comment 43 dB 2014-12-13 00:36:43 UTC
Intel Linux Graphics Team Recognized our bug and they listed it under known bug list in their latest Linux graphic installer 1.0.7.
https://01.org/linuxgraphics/downloads/2014/2014q3-intel-graphics-stack-release

Comment 44 dB 2014-12-13 00:38:06 UTC
Bug id:75394 in the above link

Comment 45 Mike 2014-12-18 00:12:42 UTC
I have also been seeing this same error on a number of older Dell workstations in my office, some crashing 6-8 times or more over the course of a workday (to try and isolate the issue we switched to using vanilla kernels compiled using the Fedora kernel config as a base, both 3.14.23 and 3.14.26).  I ended up installing the xorg-x11-drv-intel-2.21.12-2 package from Fedora 19 as a workaround to stabilize them, and it appears to have resolved our issues.

Interestingly enough, when our workstations hung the mouse was still movable, but you could not interact with anything.  Over SSH the system was fully responsive as well.

Dec 16 16:16:25 hostname kernel: [ 1183.999016] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Dec 16 16:16:25 hostname kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Dec 16 16:16:29 hostname kernel: [ 1187.314030] Watchdog[2073]: segfault at 0 ip b63c607f sp af838cd0 error 6 in chrome[b225f000+5537000]
Dec 16 16:16:29 hostname gnome-session: [2039:2073:1216/221629:ERROR:gpu_watchdog_thread.cc(253)] The GPU process hung. Terminating after 10000 ms.
Dec 16 16:16:29 hostname kernel: Watchdog[2073]: segfault at 0 ip b63c607f sp af838cd0 error 6 in chrome[b225f000+5537000]

Comment 46 Andre Robatino 2015-01-14 02:07:15 UTC
I've been running F21 since December 5, and have not seen this yet. Previously, on F20 I was getting this about once a month, so at least F21 is no worse than F20. If anyone sees it on F21, please change the Version to 21, or just mention it here and I can do it. There are major updates to several packages in F21 (for example, xorg-x11-drv-intel-2.99.916-3.20141117.fc21) so it's possible the bug may be gone in F21.

Comment 47 Fedora End Of Life 2015-05-29 11:53:34 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 48 Andre Robatino 2015-05-29 16:54:04 UTC
FWIW, I never saw this on F21, and have been running F22 for a few days and haven't seen it on that either.

Comment 49 Fedora End Of Life 2015-06-29 20:42:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.